# Interface methods for submodule: OtsuMultipleThresholdsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: OtsuMultipleThresholdsImageFilter
class OtsuMultipleThresholdsImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfHistogramBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfHistogramBins(self) -> int:
		""""""
		...

	def SetNumberOfThresholds(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfThresholds(self) -> int:
		""""""
		...

	@overload
	def SetLabelOffset(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLabelOffset(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLabelOffset(self) -> float:
		""""""
		...

	@overload
	def GetLabelOffset(self) -> int:
		""""""
		...

	def SetValleyEmphasis(self, _arg: bool) -> None:
		""""""
		...

	def GetValleyEmphasis(self) -> bool:
		""""""
		...

	def ValleyEmphasisOn(self) -> None:
		""""""
		...

	def ValleyEmphasisOff(self) -> None:
		""""""
		...

	def SetReturnBinMidpoint(self, _arg: bool) -> None:
		""""""
		...

	def GetReturnBinMidpoint(self) -> bool:
		""""""
		...

	def ReturnBinMidpointOn(self) -> None:
		""""""
		...

	def ReturnBinMidpointOff(self) -> None:
		""""""
		...

	def GetThresholds(self) -> Sequence[float]:
		""""""
		...

